Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2266639 - directory-maven-plugin fails to build with java-21-openjdk
Summary: directory-maven-plugin fails to build with java-21-openjdk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: directory-maven-plugin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Andrew Bauer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2262141
TreeView+ depends on / blocked
 
Reported: 2024-02-28 16:43 UTC by Petra Alice Mikova
Modified: 2024-03-07 22:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-29 20:40:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Petra Alice Mikova 2024-02-28 16:43:17 UTC
directory-maven-plugin fails to build with java-21-openjdk as sytem JDK. See https://fedoraproject.org/wiki/Changes/Java21.

For the build logs, see: https://koji.fedoraproject.org/koji/taskinfo?taskID=114133132
https://kojipkgs.fedoraproject.org/work/tasks/3261/114133261/state.log
https://kojipkgs.fedoraproject.org/work/tasks/3261/114133261/build.log
https://kojipkgs.fedoraproject.org/work/tasks/3261/114133261/root.log
https://kojipkgs.fedoraproject.org/work/tasks/3261/114133261/mock_output.log
https://kojipkgs.fedoraproject.org/work/tasks/3261/114133261/hw_info.log
We run the rebuild in side tag f41-build-side-84507, but as fail ratio was small, we expect this side tag to be merged into rawhide ASAP.
To reproduce before this date simply: fedpkg clone directory-maven-plugin; cd directory-maven-plugin;  fedpkg build --target f41-build-side-84507; #The target is crucial.
After merge, the usual fedpkg build in rawhide should do.

We had tried aprox 400 packages, and aprox 55 had failed, so the java-21-openjdk will be system JDK in f40, and you should fix your package if you want to keep it alive. Usually the fix is simple, and best is to update the package to latest upstream version. Fix the issue in both f40 and rawhide, if possible, the side tag and rebuild of f40 (and bugs) will follow soon.
Let us know here if you have any questions, here in bug, or at java-devel.org .

We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side if needed.

Comment 2 Fedora Update System 2024-02-29 20:42:46 UTC
FEDORA-2024-1cac831926 (directory-maven-plugin-0.3.1-14.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1cac831926

Comment 3 Fedora Update System 2024-03-01 01:57:24 UTC
FEDORA-2024-1cac831926 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-1cac831926`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-1cac831926

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2024-03-07 22:24:59 UTC
FEDORA-2024-129d8ca6fc (System JDK update from 17 to 21) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.